//
// Copyright 2003 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wFilelogPane:
//   Displays filelog for specified file on the file browser page

#ifndef p4wFilelogPane_H
#define p4wFilelogPane_H


#include "p4wPane.h"


class StrDict;

class p4wFilelogPane : public p4wPane {

public:

	p4wFilelogPane( p4wView & ParentView, p4wRequest & Request );

	virtual	~p4wFilelogPane();

	//
	// Render functions.
	
	virtual	void Begin();
	virtual	void Render( StrDict * varList );
	virtual void RenderError( char *data, int escapeHTML );
	virtual	void End();
	
private:

	int fSeenData;
	int fRowCtr;
	int fExtended;
};

#endif // p4wFilelogPane_H
