//
// Copyright 2005 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wFixedPane:
//   Generates output of a p4 fix command

#ifndef p4wFixedPane_H
#define p4wFixedPane_H

#include "p4wPane.h"


class StrDict;


class p4wFixedPane : public p4wPane {

public:

	p4wFixedPane( p4wView & ParentView, p4wRequest & Request );
	virtual		~p4wFixedPane();


	//
	// Render functions.
	
	virtual	void		Begin();
	virtual	void		Render( StrDict * varList );
	virtual void		RenderInfo( char *data, char level );
	virtual	void		End();
};

#endif // p4wFixedPane_H
