//
// Copyright 2001 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wJobSpecPane:
//   Displays output of jobspec -o except for the Comments field


#ifndef p4wJobSpecPane_H
#define p4wJobSpecPane_H

#include "p4wSpecPane.h"

class StrDict;


class p4wJobSpecPane : public p4wSpecPane {

public:

			p4wJobSpecPane( p4wView & ParentView, 
				p4wRequest & Request );
	virtual		~p4wJobSpecPane();

	//
	// Overrides for spec panes.
	
	virtual void	Begin();
	virtual	int	IgnoreField( const char * field );
	virtual	int	CustomField( const char * field, StrDict * varList,
				int len = 0, SpecElem *se = NULL );
};

#endif // p4wJobSpecPane_H
