//
// Copyright 2004 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wLoginPane:
//   Handles the result of a p4 login command

#ifndef p4wLoginPane_H
#define p4wLoginPane_H

#include "p4wPane.h"

class StrDict;

class p4wLoginPane : public p4wPane {

public:
	p4wLoginPane( p4wView & ParentView, p4wRequest & Request );
	virtual	~p4wLoginPane();

	//
	// Render functions.
	
	virtual void Render( StrDict * varList ) {};
	virtual void RenderError( char *error, int escapeHTML );
	virtual void RenderInfo( char *data, char level );
	virtual void Prompt( const StrPtr &msg, StrBuf &rsp, 
				int noEcho, Error *e );

	StrBuf	fPswdTicket;
	int		fPasswordError;
};

#endif // p4wLoginPane_H
