//
// Copyright 2000 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wThumbnailPane: render data using Content-type based on file suffix

#ifndef p4wThumbnailPane_H
#define p4wThumbnailPane_H


#include "p4wPane.h"
#include "p4wMimeContentPane.h"

class p4wThumbnailPane : public p4wMimeContentPane {

public:
				p4wThumbnailPane(p4wView & ParentView, 
					p4wRequest & Request);
	virtual			~p4wThumbnailPane();

	//
	// Render functions.
	virtual void		RenderBinary( char *data, int len );
	virtual	void		Render( StrDict * varList );

private:

	int 			fSeenData;

};

#endif // p4wThumbnailPane_H
