//
// Copyright 2007 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wUploadLocalPane:
//	Upload to the client file on local workspace


#ifndef p4wUploadLocalPane_H
#define p4wUploadLocalPane_H


#include "p4wPane.h"


class p4wUploadLocalPane : public p4wPane {

public:

	p4wUploadLocalPane( p4wView & ParentView, p4wRequest & Request );
	
	virtual ~p4wUploadLocalPane();

	//
	// Render functions.
	
	virtual	void Begin();
	virtual	void Render( StrDict * varList );
	virtual	void End();
	
private:
	int fSeenData;
};

#endif // p4wUploadLocalPane_H
