//
// Copyright 2007 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wChangePane:
//   Displays the submitted change spec either as a form or read-only

#ifndef p4wChangePane_H
#define p4wChangePane_H


#include "p4wSpecPane.h"


class StrDict;

class p4wChangePane : public p4wSpecPane {

public:

	p4wChangePane( p4wView & ParentView, p4wRequest & Request, int isForm );
	virtual	~p4wChangePane();

	//
	// Overrides for spec panes.
	
	virtual	int IgnoreField( const char * field );
	virtual	int CustomField( const char * field, StrDict * varList,
		int len = 0, SpecElem *se = NULL );
	virtual void GetAction( StrBuf & actionURL );
};

#endif // p4wChangePane_H
