//
// Copyright 2005 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wFixedPane:
//   Generates output of a p4 fix command

#include <p4wp4.h>

#include "p4wStrBuf.h"
#include "p4wHtml.h"

#include "p4wPane.h"
#include "p4wFixedPane.h"


p4wFixedPane::p4wFixedPane( p4wView & ParentView, p4wRequest & Request )
	: p4wPane( ParentView, Request )
{
}

p4wFixedPane::~p4wFixedPane()
{
}



// -------------------------------------
// Render functions.
//
void p4wFixedPane::Begin()
{
}

void p4wFixedPane::Render( StrDict * varList )
{
}

void p4wFixedPane::End()
{
}

void p4wFixedPane::RenderInfo( char *data, char level )
{
	p4wHtml htm;
	htm.text(data);
	htm.linebreak();
	fRequest << htm;
}
