//
// Copyright 1999 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wRSSJobviewPane:
//   Generates the RSS feed for the User's Reviews

#ifndef p4wRSSJobviewPane_H
#define p4wRSSJobviewPane_H


#include "p4wSpecPane.h"


class StrDict;

class p4wRSSJobviewPane : public p4wPane {

public:

	p4wRSSJobviewPane( p4wView & ParentView, p4wRequest & Request );
	virtual	~p4wRSSJobviewPane();

	//
	// Render functions.
	virtual	void		Begin();
	virtual	void		Render( StrDict * varList );
	virtual	void		End();

	void				Finish();

private:
	int			fSeenBegin;
	int			fSeenData;
	int			fGotSpec;

	StrBuf		feedTitle;
	StrBuf		filter;
	int 		maxResults;
};

#endif // p4wRSSJobviewPane_H
