//
// Copyright 2003 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wReadLocalPane:
//	Displays the file text of the client file on local workspace


#ifndef p4wReadLocalPane_H
#define p4wReadLocalPane_H


#include "p4wPane.h"


class p4wReadLocalPane : public p4wPane {

public:

	p4wReadLocalPane( p4wView & ParentView, p4wRequest & Request );
	
	virtual ~p4wReadLocalPane();

	//
	// Render functions.
	
	virtual	void Begin();
	virtual	void Render( StrDict * varList );
	virtual	void End();
	virtual void HandleError( Error *err );

	void RenderFileContents(StrPtr *clientFile, StrPtr *headType);

private:
	int fSeenData;
	int linecounter;
	int bShowLineNo;
};

#endif // p4wReadLocalPane_H
