//
// Copyright 2007 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wUploadLocalProcessorPane:
//   Holds output of a p4 fstat command

#ifndef p4wUploadLocalProcessorPane_H
#define p4wUploadLocalProcessorPane_H

#include "p4wPane.h"


class StrDict;


class p4wUploadLocalProcessorPane : public p4wPane {

public:

	p4wUploadLocalProcessorPane( p4wView & ParentView, p4wRequest & Request );
	virtual		~p4wUploadLocalProcessorPane();


	//
	// Render functions.
	
	virtual	void	Begin();
	virtual	void	Render( StrDict * varList );
	virtual void	RenderInfo( char *data, char level );
	virtual	void	End();

	StrBuf			fClientFile;
	StrBuf			fType;
	char *			fErrMsg;
};

#endif // p4wUploadLocalProcessorPane_H
